## DSD Get APN Info request DSD Get APN Info request |

## Functions

QmiMessageDsdGetApnInfoInput * | qmi_message_dsd_get_apn_info_input_new ()
QmiMessageDsdGetApnInfoInput * | qmi_message_dsd_get_apn_info_input_ref ()
void | qmi_message_dsd_get_apn_info_input_unref ()
gboolean | qmi_message_dsd_get_apn_info_input_get_apn_type ()
gboolean | qmi_message_dsd_get_apn_info_input_set_apn_type ()
QmiMessageDsdGetApnInfoOutput * | qmi_message_dsd_get_apn_info_output_ref ()
void | qmi_message_dsd_get_apn_info_output_unref ()
gboolean | qmi_message_dsd_get_apn_info_output_get_apn_name ()
gboolean | qmi_message_dsd_get_apn_info_output_get_result ()
void | qmi_client_dsd_get_apn_info ()
QmiMessageDsdGetApnInfoOutput * | qmi_client_dsd_get_apn_info_finish ()

## Types and Values

| QmiMessageDsdGetApnInfoInput
| QmiMessageDsdGetApnInfoOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDsdGetApnInfoInput
        ╰── QmiMessageDsdGetApnInfoOutput

## Description

## Functions

### qmi_message_dsd_get_apn_info_input_new ()

    QmiMessageDsdGetApnInfoInput *
    qmi_message_dsd_get_apn_info_input_new
                                   (void);

Allocates a new QmiMessageDsdGetApnInfoInput.

#### Returns

the newly created QmiMessageDsdGetApnInfoInput. The returned value should be freed with `qmi_message_dsd_get_apn_info_input_unref()`.

Since: 1.26

### qmi_message_dsd_get_apn_info_input_ref ()

    QmiMessageDsdGetApnInfoInput *
    qmi_message_dsd_get_apn_info_input_ref
                                   (QmiMessageDsdGetApnInfoInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDsdGetApnInfoInput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_dsd_get_apn_info_input_unref ()

    void
    qmi_message_dsd_get_apn_info_input_unref
                                   (QmiMessageDsdGetApnInfoInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDsdGetApnInfoInput. |

Since: 1.26

### qmi_message_dsd_get_apn_info_input_get_apn_type ()

    gboolean
    qmi_message_dsd_get_apn_info_input_get_apn_type
                                   (QmiMessageDsdGetApnInfoInput *self,
                                    QmiDsdApnType *value_apn_type,
                                    GError **error);

Get the 'APN Type' field from `self` .

#### Parameters

self | a QmiMessageDsdGetApnInfoInput. |
value_apn_type | a placeholder for the output QmiDsdApnType, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_dsd_get_apn_info_input_set_apn_type ()

    gboolean
    qmi_message_dsd_get_apn_info_input_set_apn_type
                                   (QmiMessageDsdGetApnInfoInput *self,
                                    QmiDsdApnType value_apn_type,
                                    GError **error);

Set the 'APN Type' field in the message.

#### Parameters

self | a QmiMessageDsdGetApnInfoInput. |
value_apn_type | a QmiDsdApnType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_dsd_get_apn_info_output_ref ()

    QmiMessageDsdGetApnInfoOutput *
    qmi_message_dsd_get_apn_info_output_ref
                                   (QmiMessageDsdGetApnInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDsdGetApnInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_dsd_get_apn_info_output_unref ()

    void
    qmi_message_dsd_get_apn_info_output_unref
                                   (QmiMessageDsdGetApnInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDsdGetApnInfoOutput. |

Since: 1.26

### qmi_message_dsd_get_apn_info_output_get_apn_name ()

    gboolean
    qmi_message_dsd_get_apn_info_output_get_apn_name
                                   (QmiMessageDsdGetApnInfoOutput *self,
                                    const gchar **value_apn_name,
                                    GError **error);

Get the 'APN Name' field from `self` .

#### Parameters

self | a QmiMessageDsdGetApnInfoOutput. |
value_apn_name | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_dsd_get_apn_info_output_get_result ()

    gboolean
    qmi_message_dsd_get_apn_info_output_get_result
                                   (QmiMessageDsdGetApnInfoOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDsdGetApnInfoOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.26

### qmi_client_dsd_get_apn_info ()

    void
    qmi_client_dsd_get_apn_info (QmiClientDsd *self,
                                 QmiMessageDsdGetApnInfoInput *input,
                                 guint timeout,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously sends a Get APN Info request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dsd_get_apn_info_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDsd. |
input | a QmiMessageDsdGetApnInfoInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.26

### qmi_client_dsd_get_apn_info_finish ()

    QmiMessageDsdGetApnInfoOutput *
    qmi_client_dsd_get_apn_info_finish (QmiClientDsd *self,
                                        GAsyncResult *res,
                                        GError **error);

Finishes an async operation started with `qmi_client_dsd_get_apn_info()`.

#### Parameters

self | a QmiClientDsd. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dsd_get_apn_info()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDsdGetApnInfoOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dsd_get_apn_info_output_unref()`.

Since: 1.26

## Types and Values

### QmiMessageDsdGetApnInfoInput

    typedef struct _QmiMessageDsdGetApnInfoInput QmiMessageDsdGetApnInfoInput;

The QmiMessageDsdGetApnInfoInput structure contains private data and should only be accessed using the provided API.

Since: 1.26

### QmiMessageDsdGetApnInfoOutput

    typedef struct _QmiMessageDsdGetApnInfoOutput QmiMessageDsdGetApnInfoOutput;

The QmiMessageDsdGetApnInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26